Skip to main content
`Ctrl`+`K`

# MatMFFDDSSetUmin

Sets the “umin” parameter used by the PETSc routine for computing the differencing parameter, h, which is used for matrix-free Jacobian-vector products for a `MATMFFD` matrix.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMFFDDSSetUmin(Mat A, PetscReal umin)

## Input Parameters

- A - the `MATMFFD` matrix

- umin - the parameter

## Note

See the manual page for `MatCreateSNESMF()` for a complete description of the algorithm used to compute h.

## See Also

`MATMFFD`, `MatMFFDSetFunctionError()`, `MatCreateSNESMF()`

## Level

advanced

## Location

src/mat/impls/mffd/mffddef.c

## Implementations

MatMFFDDSSetUmin_DS() in src/mat/impls/mffd/mffddef.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages